PHP7.1_Magento

We hebben goed nieuws: op veler verzoek hebben we PHP 5.6 nu ook via het Service Panel beschikbaar gemaakt op het Hypernode platform. Je kunt nu zelf met een paar klikken gemakkelijk overstappen naar deze PHP versie.

Op dit moment is PHP 5.5 end-of-life en dat betekent dat er geen security-updates meer worden gemaakt voor deze PHP versie. Om die reden raden we ook iedereen aan om over te stappen naar PHP 5.6. Vanaf vandaag is PHP 5.6 ook de default PHP versie voor alle nieuwe Hypernode pakketten en trials die worden aangevraagd.

Overstappen naar PHP 5.6

De overstap naar PHP 5.6 is heel gemakkelijk uit te voeren in ons Service Panel. Onder het tabblad ‘Instellingen’ vind je het kopje PHP en vanaf daar kun je zelf kiezen welke PHP versie je wilt gebruiken. Meer informatie over hoe je met een paar klikken kunt overstappen vind je op onze Kennisbank.

Test je shop in PHP 5.6 met Docker

Omdat de upgrade naar PHP 5.6 mogelijk effect heeft op de werking van je shop, raden we je aan om voor de overstap je shop grondig te testen. Je kunt alvast kijken hoe je site eruit ziet in PHP 5.6 met behulp van onze Hypernode Docker. Met deze lokale testomgeving merken de bezoekers van je shop er niks van en kun jij rustig je shop PHP 5.6-proof maken.

Op onze Hypernode kennisbank wordt stap voor stap uitgelegd hoe je met Docker een testomgeving opzet in het artikel: ‘Hypernode Docker (EN)‘.

IonCube en PHP

Let op! IonCube staat standaard aan op PHP 5.5, maar omdat het een vertragende werking heeft op je shop hebben we het opt-in gemaakt voor PHP 5.6 en PHP 7. Je kunt contact opnemen met onze supportafdeling, dan zetten zij IonCube voor je aan.

 

Scan je eigen Magento shop op veiligheidslekken